Bug 1080234 - /usr/lib/pkcs11/gnome-keyring-pkcs11.so is missing.
Summary: /usr/lib/pkcs11/gnome-keyring-pkcs11.so is missing.
Keywords:
Status: CLOSED DUPLICATE of bug 823297
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-keyring
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-25 02:01 UTC by christian.pehle
Modified: 2015-03-10 17:35 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 823297
Environment:
Last Closed: 2015-03-10 17:35:52 UTC


Attachments (Terms of Use)

Description christian.pehle 2014-03-25 02:01:23 UTC
+++ This bug was initially created as a clone of Bug #823297 +++

Description of problem:
p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: kan inte öppna delad objektfil: Filen eller katalogen finns inte

Version-Release number of selected component (if applicable):
wine-1.7.13.fc20

How reproducible:
Start any program with wine.

Steps to Reproduce:
1. yum install wine (should nag about missing dependency). 
2. wine myprog.exe
3.
  
Actual results:
Wine reports that /usr/lib/pkcs11/gnome-keyring-pkcs11.so is missing

Expected results:
Wine should find and load the file.

Additional info:
gnome-keyring.x86_64 contains: /usr/lib64/pkcs11/gnome-keyring-pkcs11.so - what is missing is the 32-bit version.
This file should probably belong to gnome-keyring.i686 - which does not exist.

--- Additional comment from Andreas Bierfert on 2012-05-28 17:06:19 EDT ---

The issue you are seeing is triggered by wine but is not actually a problem of wine. You can temporarily silence this by commenting out the module part of /etc/pkcs11/modules/gnome-keyring.

Would be nice to get a word from the gnome-keyring maintainer on this.

--- Additional comment from Jürgen Botz on 2012-06-10 09:11:12 EDT ---

I got this error, so I did "yum whatprovides /usr/lib/pkcs11/gnome-keyring-pkcs11.so" and found that there is no package in the x86_64 repos that provides this file.  So I grabbed gnome-keyring-3.4.1-2.fc17.i686.rpm from the i386 repo, but trying to "yum localinstall ..." this is a no-go as it would try to pull in dependencies that don't exist in the x86_64 repo and/or create conflicts.

I resolved the problem by manually extracting and installing /usr/lib/pkcs11/gnome-keyring-pkcs11.so file from the i686 rpm.

This illustrates that this is packaging problem.  The relevant shared libraries need to be broken out into separate rpms so that they can be included in the x86_64 repos.

--- Additional comment from Ralf Corsepius on 2013-02-17 00:15:32 EST ---

(In reply to comment #1)
> The issue you are seeing is triggered by wine but is not actually a problem
> of wine.

This problem also occurs when installing i386 compiled (gtk2-based) binaries on x86_64 systems.

> You can temporarily silence this by commenting out the module part
> of /etc/pkcs11/modules/gnome-keyring.
In my case, the solution seems to be to manually install gnome-keyring.i686

> Would be nice to get a word from the gnome-keyring maintainer on this.
IMO, this is a releng-issue. They likely should add gnome-keyring.i686 to the x86_64 repo.

--- Additional comment from Jonathan Ryshpan on 2013-03-25 09:41:14 EDT ---

(In reply to comment #2)
> I got this error, so I did "yum whatprovides
> /usr/lib/pkcs11/gnome-keyring-pkcs11.so" and found that there is no package
> in the x86_64 repos that provides this file.  So I grabbed
> gnome-keyring-3.4.1-2.fc17.i686.rpm from the i386 repo, but trying to "yum
> localinstall ..." this is a no-go as it would try to pull in dependencies
> that don't exist in the x86_64 repo and/or create conflicts.
> 
> I resolved the problem by manually extracting and installing
> /usr/lib/pkcs11/gnome-keyring-pkcs11.so file from the i686 rpm.
> 
> This illustrates that this is packaging problem.  The relevant shared
> libraries need to be broken out into separate rpms so that they can be
> included in the x86_64 repos.

The same bug is in Fedora-18, where it also prevents acroread from printing.  A print attempt from acroread, run from a terminal, produces the error message:

p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory

This is a common problem: packaging libraries that need to be installed in both .i686 and .x86_64 versions with executables that conflict.  A possible cure would be to create different folders for executables, say /usr/bin32 and /usr/bin64, with /usr/bin (sym)linked to the appropriate one depending on the system; but changing to this layout would require a lot of work from packagers.  So the only cure appears to be to separate out executables from binaries wherever needed, as here.

--- Additional comment from Kim Bisgaard on 2013-03-27 10:25:07 EDT ---

You get the same error weather you run wine or win64.

Workaround: 
cd /usr/lib
mkdir pkcs11
cd pkcs11/
ln -s ../../lib64/pkcs11/gnome-keyring-pkcs11.so .

--- Additional comment from Fedora Admin XMLRPC Client on 2013-05-07 12:04:28 EDT ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from Fedora End Of Life on 2013-07-03 20:21:05 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Sylvain Petreolle on 2013-07-04 15:57:54 EDT ---

This bug is still valid on Fedora 19.

--- Additional comment from Peter H. Jones on 2013-07-22 11:01:14 EDT ---

Also in Fedora 18. Version number needs to be changed, as per EOL notice.

--- Additional comment from Fedora End Of Life on 2013-07-31 23:57:38 EDT ---

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 aolaolaoll 2014-08-10 20:03:42 UTC
I have the same issue on Fedora 20, wine 1.7.22-4.fc20.

Comment 2 David King 2015-03-10 17:35:52 UTC

*** This bug has been marked as a duplicate of bug 823297 ***


Note You need to log in before you can comment on or make changes to this bug.